%define	major	6
%define	libname	%mklibname %name %major
%define oname  libgig

Name:          gig
Summary:       C++ library for loading Gigasampler files
Version:       3.2.1
Release:       %mkrel 1
License:       GPL
Group:	       System/Libraries 
Source0:       %{oname}-%{version}.tar.bz2
URL: 	       http://www.linuxsampler.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: libsndfile-devel

%description
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%files 
%defattr(-,root,root)
%{_bindir}/dlsdump
%{_bindir}/gigdump
%{_bindir}/gigextract
%{_bindir}/rifftree
%{_mandir}/man1/dlsdump.1.*
%{_mandir}/man1/gigdump.1.*
%{_mandir}/man1/gigextract.1.*
%{_mandir}/man1/rifftree.1.*

#--------------------------------------------------------------------

%package -n	%libname
Group: 		System/Libraries
Summary: 	Libraries for %name
Provides: 	lib%name = %version-%release

%description -n %libname 
C++ library for loading Gigasampler files and DLS Level 1/2 files

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libgig.so.6
%{_libdir}/libgig.so.6.3.0

#--------------------------------------------------------------------

%package -n	%libname-devel
Group: 		Development/Other
Summary: 	Libraries for %name
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides: 	%{name}-devel = %{version}-%{release}

%description -n	%libname-devel
Development libraries from %oname

%files -n %libname-devel
%defattr (-,root,root)
%{_includedir}/DLS.h
%{_includedir}/RIFF.h
%{_includedir}/gig.h
%{_libdir}/libgig.a
%{_libdir}/libgig.la
%{_libdir}/libgig.so
%{_libdir}/pkgconfig/gig.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version

%build
make -f Makefile.cvs
%configure
make

%install
make DESTDIR=%buildroot  install

%clean



%changelog
* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.2.1-1mdv2008.1
+ Revision: 120265
- Fix BuildRequires
- import gig


